[tbb-commits] [tor-browser] 01/02: dropme! Bug 41426: temporarily bring back stub installer logic so we can delete it in subsequent new fixup commit;

gitolite role git at cupani.torproject.org
Fri Nov 11 21:07:05 UTC 2022


This is an automated email from the git hooks/post-receive script.

richard pushed a commit to branch tor-browser-102.4.0esr-12.0-2
in repository tor-browser.

commit c33d99d179340e13408c106ca1c6cdba64d434d6
Author: Richard Pospesel <richard at torproject.org>
AuthorDate: Thu Nov 10 22:40:22 2022 +0000

    dropme! Bug 41426: temporarily bring back stub installer logic so we can delete it in subsequent new fixup commit;
---
 browser/confvars.sh | 20 ++++++++++++++++++++
 1 file changed, 20 insertions(+)

diff --git a/browser/confvars.sh b/browser/confvars.sh
index 83979ddf4d5b..fe5287677b28 100755
--- a/browser/confvars.sh
+++ b/browser/confvars.sh
@@ -5,6 +5,26 @@
 
 MOZ_APP_VENDOR=Mozilla
 
+if test "$OS_ARCH" = "WINNT"; then
+  if ! test "$HAVE_64BIT_BUILD"; then
+    if test "$MOZ_UPDATE_CHANNEL" = "nightly" -o \
+            "$MOZ_UPDATE_CHANNEL" = "nightly-try" -o \
+            "$MOZ_UPDATE_CHANNEL" = "aurora" -o \
+            "$MOZ_UPDATE_CHANNEL" = "beta" -o \
+            "$MOZ_UPDATE_CHANNEL" = "release"; then
+      if ! test "$MOZ_DEBUG"; then
+        if ! test "$USE_STUB_INSTALLER"; then
+          # Expect USE_STUB_INSTALLER from taskcluster for downstream task consistency
+          echo "ERROR: STUB installer expected to be enabled but"
+          echo "ERROR: USE_STUB_INSTALLER is not specified in the environment"
+          exit 1
+        fi
+        MOZ_STUB_INSTALLER=1
+      fi
+    fi
+  fi
+fi
+
 BROWSER_CHROME_URL=chrome://browser/content/browser.xhtml
 
 # MOZ_APP_DISPLAYNAME will be set by branding/configure.sh

-- 
To stop receiving notification emails like this one, please contact
the administrator of this repository.


More information about the tbb-commits mailing list